org.richfaces.component.html

## Class HtmlPanelMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIPanelMenu
          - - org.richfaces.component.html.HtmlPanelMenu

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlPanelMenu
      extends UIPanelMenu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIPanelMenu

      `DEFAULT_SELECTED_CLASS, USER_DEFINED_SELECTED_CLASS`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisabledGroupClass()`
    `java.lang.String` | `getDisabledGroupStyle()`
    `java.lang.String` | `getDisabledItemClass()`
    `java.lang.String` | `getDisabledItemStyle()`
    `java.lang.String` | `getEvent()`
    `java.lang.String` | `getExpandMode()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getGroupClass()`
    `java.lang.String` | `getGroupStyle()`
    `java.lang.String` | `getHoveredGroupClass()`
    `java.lang.String` | `getHoveredGroupStyle()`
    `java.lang.String` | `getHoveredItemClass()`
    `java.lang.String` | `getHoveredItemStyle()`
    `java.lang.String` | `getIconCollapsedGroup()`
    `java.lang.String` | `getIconCollapsedTopGroup()`
    `java.lang.String` | `getIconDisabledGroup()`
    `java.lang.String` | `getIconDisabledItem()`
    `java.lang.String` | `getIconExpandedGroup()`
    `java.lang.String` | `getIconExpandedTopGroup()`
    `java.lang.String` | `getIconGroupPosition()`
    `java.lang.String` | `getIconGroupTopPosition()`
    `java.lang.String` | `getIconItem()`
    `java.lang.String` | `getIconItemPosition()`
    `java.lang.String` | `getIconItemTopPosition()`
    `java.lang.String` | `getIconTopDisabledItem()`
    `java.lang.String` | `getIconTopDisableGroup()`
    `java.lang.String` | `getIconTopItem()`
    `java.lang.String` | `getItemClass()`
    `java.lang.String` | `getItemStyle()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOngroupcollapse()`
    `java.lang.String` | `getOngroupexpand()`
    `java.lang.String` | `getOnitemhover()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getSelectedChild()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTopGroupClass()`
    `java.lang.String` | `getTopGroupStyle()`
    `java.lang.String` | `getTopItemClass()`
    `java.lang.String` | `getTopItemStyle()`
    `java.lang.String` | `getWidth()`
    `boolean` | `isDisabled()`
    `boolean` | `isExpandSingle()`
    `boolean` | `isFirstExpandedEncoded()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setDisabled(boolean _disabled)`
    `void` | `setDisabledGroupClass(java.lang.String _disabledGroupClass)`
    `void` | `setDisabledGroupStyle(java.lang.String _disabledGroupStyle)`
    `void` | `setDisabledItemClass(java.lang.String _disabledItemClass)`
    `void` | `setDisabledItemStyle(java.lang.String _disabledItemStyle)`
    `void` | `setEvent(java.lang.String _event)`
    `void` | `setExpandMode(java.lang.String _expandMode)`
    `void` | `setExpandSingle(boolean _expandSingle)`
    `void` | `setFirstExpandedEncoded(boolean _firstExpandedEncoded)`
    `void` | `setGroupClass(java.lang.String _groupClass)`
    `void` | `setGroupStyle(java.lang.String _groupStyle)`
    `void` | `setHoveredGroupClass(java.lang.String _hoveredGroupClass)`
    `void` | `setHoveredGroupStyle(java.lang.String _hoveredGroupStyle)`
    `void` | `setHoveredItemClass(java.lang.String _hoveredItemClass)`
    `void` | `setHoveredItemStyle(java.lang.String _hoveredItemStyle)`
    `void` | `setIconCollapsedGroup(java.lang.String _iconCollapsedGroup)`
    `void` | `setIconCollapsedTopGroup(java.lang.String _iconCollapsedTopGroup)`
    `void` | `setIconDisabledGroup(java.lang.String _iconDisabledGroup)`
    `void` | `setIconDisabledItem(java.lang.String _iconDisabledItem)`
    `void` | `setIconExpandedGroup(java.lang.String _iconExpandedGroup)`
    `void` | `setIconExpandedTopGroup(java.lang.String _iconExpandedTopGroup)`
    `void` | `setIconGroupPosition(java.lang.String _iconGroupPosition)`
    `void` | `setIconGroupTopPosition(java.lang.String _iconGroupTopPosition)`
    `void` | `setIconItem(java.lang.String _iconItem)`
    `void` | `setIconItemPosition(java.lang.String _iconItemPosition)`
    `void` | `setIconItemTopPosition(java.lang.String _iconItemTopPosition)`
    `void` | `setIconTopDisabledItem(java.lang.String _iconTopDisabledItem)`
    `void` | `setIconTopDisableGroup(java.lang.String _iconTopDisableGroup)`
    `void` | `setIconTopItem(java.lang.String _iconTopItem)`
    `void` | `setItemClass(java.lang.String _itemClass)`
    `void` | `setItemStyle(java.lang.String _itemStyle)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setMode(java.lang.String _mode)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOngroupcollapse(java.lang.String _ongroupcollapse)`
    `void` | `setOngroupexpand(java.lang.String _ongroupexpand)`
    `void` | `setOnitemhover(java.lang.String _onitemhover)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setSelectedChild(java.lang.String _selectedChild)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTopGroupClass(java.lang.String _topGroupClass)`
    `void` | `setTopGroupStyle(java.lang.String _topGroupStyle)`
    `void` | `setTopItemClass(java.lang.String _topItemClass)`
    `void` | `setTopItemStyle(java.lang.String _topItemStyle)`
    `void` | `setWidth(java.lang.String _width)`

    - ### Methods inherited from class org.richfaces.component.UIPanelMenu

      `getSelectedName`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanelMenu

          public HtmlPanelMenu()

  - ### Method Detail

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `UIPanelMenu`

    - #### setDisabled

          public void setDisabled(boolean _disabled)

      Specified by:
        `setDisabled` in class `UIPanelMenu`

    - #### getDisabledGroupClass

          public java.lang.String getDisabledGroupClass()

      Specified by:
        `getDisabledGroupClass` in class `UIPanelMenu`

    - #### setDisabledGroupClass

          public void setDisabledGroupClass(java.lang.String _disabledGroupClass)

      Specified by:
        `setDisabledGroupClass` in class `UIPanelMenu`

    - #### getDisabledGroupStyle

          public java.lang.String getDisabledGroupStyle()

      Specified by:
        `getDisabledGroupStyle` in class `UIPanelMenu`

    - #### setDisabledGroupStyle

          public void setDisabledGroupStyle(java.lang.String _disabledGroupStyle)

      Specified by:
        `setDisabledGroupStyle` in class `UIPanelMenu`

    - #### getDisabledItemClass

          public java.lang.String getDisabledItemClass()

      Specified by:
        `getDisabledItemClass` in class `UIPanelMenu`

    - #### setDisabledItemClass

          public void setDisabledItemClass(java.lang.String _disabledItemClass)

      Specified by:
        `setDisabledItemClass` in class `UIPanelMenu`

    - #### getDisabledItemStyle

          public java.lang.String getDisabledItemStyle()

      Specified by:
        `getDisabledItemStyle` in class `UIPanelMenu`

    - #### setDisabledItemStyle

          public void setDisabledItemStyle(java.lang.String _disabledItemStyle)

      Specified by:
        `setDisabledItemStyle` in class `UIPanelMenu`

    - #### getEvent

          public java.lang.String getEvent()

      Specified by:
        `getEvent` in class `UIPanelMenu`

    - #### setEvent

          public void setEvent(java.lang.String _event)

      Specified by:
        `setEvent` in class `UIPanelMenu`

    - #### getExpandMode

          public java.lang.String getExpandMode()

      Specified by:
        `getExpandMode` in class `UIPanelMenu`

    - #### setExpandMode

          public void setExpandMode(java.lang.String _expandMode)

      Specified by:
        `setExpandMode` in class `UIPanelMenu`

    - #### isExpandSingle

          public boolean isExpandSingle()

      Specified by:
        `isExpandSingle` in class `UIPanelMenu`

    - #### setExpandSingle

          public void setExpandSingle(boolean _expandSingle)

      Specified by:
        `setExpandSingle` in class `UIPanelMenu`

    - #### isFirstExpandedEncoded

          public boolean isFirstExpandedEncoded()

    - #### setFirstExpandedEncoded

          public void setFirstExpandedEncoded(boolean _firstExpandedEncoded)

    - #### getGroupClass

          public java.lang.String getGroupClass()

      Specified by:
        `getGroupClass` in class `UIPanelMenu`

    - #### setGroupClass

          public void setGroupClass(java.lang.String _groupClass)

      Specified by:
        `setGroupClass` in class `UIPanelMenu`

    - #### getGroupStyle

          public java.lang.String getGroupStyle()

      Specified by:
        `getGroupStyle` in class `UIPanelMenu`

    - #### setGroupStyle

          public void setGroupStyle(java.lang.String _groupStyle)

      Specified by:
        `setGroupStyle` in class `UIPanelMenu`

    - #### getHoveredGroupClass

          public java.lang.String getHoveredGroupClass()

      Specified by:
        `getHoveredGroupClass` in class `UIPanelMenu`

    - #### setHoveredGroupClass

          public void setHoveredGroupClass(java.lang.String _hoveredGroupClass)

      Specified by:
        `setHoveredGroupClass` in class `UIPanelMenu`

    - #### getHoveredGroupStyle

          public java.lang.String getHoveredGroupStyle()

      Specified by:
        `getHoveredGroupStyle` in class `UIPanelMenu`

    - #### setHoveredGroupStyle

          public void setHoveredGroupStyle(java.lang.String _hoveredGroupStyle)

      Specified by:
        `setHoveredGroupStyle` in class `UIPanelMenu`

    - #### getHoveredItemClass

          public java.lang.String getHoveredItemClass()

      Specified by:
        `getHoveredItemClass` in class `UIPanelMenu`

    - #### setHoveredItemClass

          public void setHoveredItemClass(java.lang.String _hoveredItemClass)

      Specified by:
        `setHoveredItemClass` in class `UIPanelMenu`

    - #### getHoveredItemStyle

          public java.lang.String getHoveredItemStyle()

      Specified by:
        `getHoveredItemStyle` in class `UIPanelMenu`

    - #### setHoveredItemStyle

          public void setHoveredItemStyle(java.lang.String _hoveredItemStyle)

      Specified by:
        `setHoveredItemStyle` in class `UIPanelMenu`

    - #### getIconCollapsedGroup

          public java.lang.String getIconCollapsedGroup()

      Specified by:
        `getIconCollapsedGroup` in class `UIPanelMenu`

    - #### setIconCollapsedGroup

          public void setIconCollapsedGroup(java.lang.String _iconCollapsedGroup)

      Specified by:
        `setIconCollapsedGroup` in class `UIPanelMenu`

    - #### getIconCollapsedTopGroup

          public java.lang.String getIconCollapsedTopGroup()

      Specified by:
        `getIconCollapsedTopGroup` in class `UIPanelMenu`

    - #### setIconCollapsedTopGroup

          public void setIconCollapsedTopGroup(java.lang.String _iconCollapsedTopGroup)

      Specified by:
        `setIconCollapsedTopGroup` in class `UIPanelMenu`

    - #### getIconDisabledGroup

          public java.lang.String getIconDisabledGroup()

      Specified by:
        `getIconDisabledGroup` in class `UIPanelMenu`

    - #### setIconDisabledGroup

          public void setIconDisabledGroup(java.lang.String _iconDisabledGroup)

      Specified by:
        `setIconDisabledGroup` in class `UIPanelMenu`

    - #### getIconDisabledItem

          public java.lang.String getIconDisabledItem()

      Specified by:
        `getIconDisabledItem` in class `UIPanelMenu`

    - #### setIconDisabledItem

          public void setIconDisabledItem(java.lang.String _iconDisabledItem)

      Specified by:
        `setIconDisabledItem` in class `UIPanelMenu`

    - #### getIconExpandedGroup

          public java.lang.String getIconExpandedGroup()

      Specified by:
        `getIconExpandedGroup` in class `UIPanelMenu`

    - #### setIconExpandedGroup

          public void setIconExpandedGroup(java.lang.String _iconExpandedGroup)

      Specified by:
        `setIconExpandedGroup` in class `UIPanelMenu`

    - #### getIconExpandedTopGroup

          public java.lang.String getIconExpandedTopGroup()

      Specified by:
        `getIconExpandedTopGroup` in class `UIPanelMenu`

    - #### setIconExpandedTopGroup

          public void setIconExpandedTopGroup(java.lang.String _iconExpandedTopGroup)

      Specified by:
        `setIconExpandedTopGroup` in class `UIPanelMenu`

    - #### getIconGroupPosition

          public java.lang.String getIconGroupPosition()

      Specified by:
        `getIconGroupPosition` in class `UIPanelMenu`

    - #### setIconGroupPosition

          public void setIconGroupPosition(java.lang.String _iconGroupPosition)

      Specified by:
        `setIconGroupPosition` in class `UIPanelMenu`

    - #### getIconGroupTopPosition

          public java.lang.String getIconGroupTopPosition()

      Specified by:
        `getIconGroupTopPosition` in class `UIPanelMenu`

    - #### setIconGroupTopPosition

          public void setIconGroupTopPosition(java.lang.String _iconGroupTopPosition)

      Specified by:
        `setIconGroupTopPosition` in class `UIPanelMenu`

    - #### getIconItem

          public java.lang.String getIconItem()

      Specified by:
        `getIconItem` in class `UIPanelMenu`

    - #### setIconItem

          public void setIconItem(java.lang.String _iconItem)

      Specified by:
        `setIconItem` in class `UIPanelMenu`

    - #### getIconItemPosition

          public java.lang.String getIconItemPosition()

      Specified by:
        `getIconItemPosition` in class `UIPanelMenu`

    - #### setIconItemPosition

          public void setIconItemPosition(java.lang.String _iconItemPosition)

      Specified by:
        `setIconItemPosition` in class `UIPanelMenu`

    - #### getIconItemTopPosition

          public java.lang.String getIconItemTopPosition()

      Specified by:
        `getIconItemTopPosition` in class `UIPanelMenu`

    - #### setIconItemTopPosition

          public void setIconItemTopPosition(java.lang.String _iconItemTopPosition)

      Specified by:
        `setIconItemTopPosition` in class `UIPanelMenu`

    - #### getIconTopDisableGroup

          public java.lang.String getIconTopDisableGroup()

      Specified by:
        `getIconTopDisableGroup` in class `UIPanelMenu`

    - #### setIconTopDisableGroup

          public void setIconTopDisableGroup(java.lang.String _iconTopDisableGroup)

      Specified by:
        `setIconTopDisableGroup` in class `UIPanelMenu`

    - #### getIconTopDisabledItem

          public java.lang.String getIconTopDisabledItem()

      Specified by:
        `getIconTopDisabledItem` in class `UIPanelMenu`

    - #### setIconTopDisabledItem

          public void setIconTopDisabledItem(java.lang.String _iconTopDisabledItem)

      Specified by:
        `setIconTopDisabledItem` in class `UIPanelMenu`

    - #### getIconTopItem

          public java.lang.String getIconTopItem()

      Specified by:
        `getIconTopItem` in class `UIPanelMenu`

    - #### setIconTopItem

          public void setIconTopItem(java.lang.String _iconTopItem)

      Specified by:
        `setIconTopItem` in class `UIPanelMenu`

    - #### getItemClass

          public java.lang.String getItemClass()

      Specified by:
        `getItemClass` in class `UIPanelMenu`

    - #### setItemClass

          public void setItemClass(java.lang.String _itemClass)

      Specified by:
        `setItemClass` in class `UIPanelMenu`

    - #### getItemStyle

          public java.lang.String getItemStyle()

      Specified by:
        `getItemStyle` in class `UIPanelMenu`

    - #### setItemStyle

          public void setItemStyle(java.lang.String _itemStyle)

      Specified by:
        `setItemStyle` in class `UIPanelMenu`

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getMode

          public java.lang.String getMode()

      Specified by:
        `getMode` in class `UIPanelMenu`

    - #### setMode

          public void setMode(java.lang.String _mode)

      Specified by:
        `setMode` in class `UIPanelMenu`

    - #### getOnclick

          public java.lang.String getOnclick()

      Specified by:
        `getOnclick` in class `UIPanelMenu`

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

      Specified by:
        `setOnclick` in class `UIPanelMenu`

    - #### getOndblclick

          public java.lang.String getOndblclick()

      Specified by:
        `getOndblclick` in class `UIPanelMenu`

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

      Specified by:
        `setOndblclick` in class `UIPanelMenu`

    - #### getOngroupcollapse

          public java.lang.String getOngroupcollapse()

      Specified by:
        `getOngroupcollapse` in class `UIPanelMenu`

    - #### setOngroupcollapse

          public void setOngroupcollapse(java.lang.String _ongroupcollapse)

      Specified by:
        `setOngroupcollapse` in class `UIPanelMenu`

    - #### getOngroupexpand

          public java.lang.String getOngroupexpand()

      Specified by:
        `getOngroupexpand` in class `UIPanelMenu`

    - #### setOngroupexpand

          public void setOngroupexpand(java.lang.String _ongroupexpand)

      Specified by:
        `setOngroupexpand` in class `UIPanelMenu`

    - #### getOnitemhover

          public java.lang.String getOnitemhover()

      Specified by:
        `getOnitemhover` in class `UIPanelMenu`

    - #### setOnitemhover

          public void setOnitemhover(java.lang.String _onitemhover)

      Specified by:
        `setOnitemhover` in class `UIPanelMenu`

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `UIPanelMenu`

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

      Specified by:
        `setOnmousemove` in class `UIPanelMenu`

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `UIPanelMenu`

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

      Specified by:
        `setOnmouseout` in class `UIPanelMenu`

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `UIPanelMenu`

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

      Specified by:
        `setOnmouseover` in class `UIPanelMenu`

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getSelectedChild

          public java.lang.String getSelectedChild()

      Specified by:
        `getSelectedChild` in class `UIPanelMenu`

    - #### setSelectedChild

          public void setSelectedChild(java.lang.String _selectedChild)

      Specified by:
        `setSelectedChild` in class `UIPanelMenu`

    - #### getStyle

          public java.lang.String getStyle()

      Specified by:
        `getStyle` in class `UIPanelMenu`

    - #### setStyle

          public void setStyle(java.lang.String _style)

      Specified by:
        `setStyle` in class `UIPanelMenu`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Specified by:
        `getStyleClass` in class `UIPanelMenu`

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

      Specified by:
        `setStyleClass` in class `UIPanelMenu`

    - #### getTopGroupClass

          public java.lang.String getTopGroupClass()

      Specified by:
        `getTopGroupClass` in class `UIPanelMenu`

    - #### setTopGroupClass

          public void setTopGroupClass(java.lang.String _topGroupClass)

      Specified by:
        `setTopGroupClass` in class `UIPanelMenu`

    - #### getTopGroupStyle

          public java.lang.String getTopGroupStyle()

      Specified by:
        `getTopGroupStyle` in class `UIPanelMenu`

    - #### setTopGroupStyle

          public void setTopGroupStyle(java.lang.String _topGroupStyle)

      Specified by:
        `setTopGroupStyle` in class `UIPanelMenu`

    - #### getTopItemClass

          public java.lang.String getTopItemClass()

      Specified by:
        `getTopItemClass` in class `UIPanelMenu`

    - #### setTopItemClass

          public void setTopItemClass(java.lang.String _topItemClass)

      Specified by:
        `setTopItemClass` in class `UIPanelMenu`

    - #### getTopItemStyle

          public java.lang.String getTopItemStyle()

      Specified by:
        `getTopItemStyle` in class `UIPanelMenu`

    - #### setTopItemStyle

          public void setTopItemStyle(java.lang.String _topItemStyle)

      Specified by:
        `setTopItemStyle` in class `UIPanelMenu`

    - #### getWidth

          public java.lang.String getWidth()

      Specified by:
        `getWidth` in class `UIPanelMenu`

    - #### setWidth

          public void setWidth(java.lang.String _width)

      Specified by:
        `setWidth` in class `UIPanelMenu`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright © 2013. All Rights Reserved.